#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    string a, b;
    cin>>a>>b;
    if(a.size()<b.size())
    {
        string p=a;
        a=b; b=p;
    }
    string rez;
    for(int i=a.size()-1, j=b.size()-1; i>=0; i--, j--)
    {
        if(j<0)rez+=a[i];
        else
        {
            if(a[i]==b[j]){rez+=a[i]; rez+=b[j];}
            else rez+=max(a[i], b[j]);
        }
    }
    reverse(rez.begin(), rez.end());
    cout<<rez;
    return 0;
}